aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-10-10 00:55:12 +0200
committerNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-10-20 11:42:03 +0000
commitf868bdbe76c71abc602f0e8e3fc6ea48fe5c3e7f (patch)
tree57adbc4981ee01cff62584f968d55aac6f60b384 /contrib
parentd71e8b32e3e2f9c3856997e945df2eb3afe2937c (diff)
jenkins.sh: use osmo-build-dep.sh, output testlogs
Also make cosmetically similar to the other jenkins.sh scripts in various osmo repositories. Change-Id: I34c19ed7c80aa56bd131f738f37324aed1cd73db
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh27
1 files changed, 16 insertions, 11 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 7b456c26..fb0fb2f4 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -10,9 +10,10 @@ fi
base="$PWD"
deps="$base/deps"
inst="$deps/install"
+export deps inst
+mkdir "$deps" || true
rm -rf "$inst"
-mkdir -p "$deps"
# Collect configure options for osmo-pcu
PCU_CONFIG=""
@@ -30,6 +31,7 @@ if [ "$with_dsp" = sysmo ]; then
api_incl="$inst/include/sysmocom/femtobts/"
mkdir -p "$api_incl"
cp include/*.h "$api_incl"
+ cd "$base"
elif [ -z "$with_dsp" -o "$with_dsp" = none ]; then
echo "Direct DSP access disabled"
@@ -48,19 +50,22 @@ else
fi
# Build deps
-cd "$deps"
-osmo-deps.sh libosmocore
-cd libosmocore
-autoreconf --install --force
-./configure --prefix="$inst"
-$MAKE $PARALLEL_MAKE install
+osmo-build-dep.sh libosmocore
-export PKG_CONFIG_PATH="$inst/lib/pkgconfig"
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
export LD_LIBRARY_PATH="$inst/lib"
-# Build osmo-pcu
-cd "$base"
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-pcu ==============================="
+echo
+set -x
+
autoreconf --install --force
./configure $PCU_CONFIG
$MAKE $PARALLEL_MAKE
-DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" AM_DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" $MAKE distcheck
+DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" AM_DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" \
+ $MAKE distcheck \
+ || cat-testlogs.sh